Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/tracemask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/tracemask.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/tracemask.pro	(revision 226)
@@ -9,11 +9,11 @@
 ; @categories
 ; Utilities
-; 
+;
 ; @param MASKENTREE {in}{required}
 ; 2d array specifying the mask
-; 
+;
 ; @param XIN {in}{required},
 ; 2d array specifying longitude coordinates.
-; 
+;
 ; @param YIN {in}{required},
 ; 2d array specifying latitude coordinates.
@@ -56,5 +56,5 @@
 @updatekwd
   ENDIF
-;--------------------------------------------------------- 
+;---------------------------------------------------------
    tempsun = systime(1)         ; For key_performance
 ; We avoid edging problems:
@@ -82,5 +82,5 @@
 ; we sill
    xentree = xrange[0] > xentree < xrange[1]
-; we enlarge the array 
+; we enlarge the array
    xf = fltarr(nx, ny)
    xf[1:nx-1, 1:ny-1] = xentree
@@ -92,5 +92,5 @@
    yrange = !y.range[sort(!y.range)]
    yentree = .5*(yentree+shift(yentree, 0, -1))
-   IF not keyword_set(overplot) THEN BEGIN 
+   IF not keyword_set(overplot) THEN BEGIN
       if yinverse then yentree[*, ny-2] = yrange[0] ELSE yentree[*, ny-2] = yrange[1]
    ENDIF ELSE yentree[*, ny-2] = yentree[*, ny-3]
@@ -99,5 +99,5 @@
    yf[1:nx-1, 1:ny-1] = yentree
    yf[0, 1:ny-1] = yentree[0, *]
-   IF not keyword_set(overplot) THEN BEGIN 
+   IF not keyword_set(overplot) THEN BEGIN
       if yinverse then yf[*, 0] = yrange[1] ELSE yf[*, 0] = yrange[0]
    ENDIF ELSE yentree[*, 0] = yentree[*, 1]
@@ -113,6 +113,6 @@
 ; We recuperate lx and ly which are indexes in a 2d array of points given by list
       ly = liste/nx & lx = temporary(liste)-nx*ly
-      indice = where(ly NE 0) ; We do not take points concernining 
-; the first line because in this case, the point j-1 is not defined 
+      indice = where(ly NE 0) ; We do not take points concerning
+; the first line because in this case, the point j-1 is not defined
       if indice[0] NE -1 then begin
          lx = lx[indice] & ly = ly[temporary(indice)]
@@ -122,5 +122,5 @@
 ; loop on concerned points and drawing of the segment.
 ; comments: we use plots instead of plot because plots is faster.
-         for pt = 0L, n_elements(lx)-1 do BEGIN 
+         for pt = 0L, n_elements(lx)-1 do BEGIN
             i = lx[pt] & j = ly[pt]
             plots, [xf[i, j-1], xf[i, j]], [yf[i, j-1], yf[i, j]] $
@@ -146,5 +146,5 @@
        print, 'temps tracemask: liste traits horizontaux', systime(1)-tempdeux
       tempdeux = systime(1)     ; For key_performance =2
-      for pt = 0L, n_elements(lx)-1 do BEGIN 
+      for pt = 0L, n_elements(lx)-1 do BEGIN
          i = lx[pt] & j = ly[pt]
          plots, [xf[i-1, j], xf[i, j]], [yf[i-1, j], yf[i, j]] $
@@ -156,6 +156,6 @@
 ;
 ;
-   if keyword_set(key_performance) THEN print, 'temps tracemask', systime(1)-tempsun 
-   
+   if keyword_set(key_performance) THEN print, 'temps tracemask', systime(1)-tempsun
+
    return
 end
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/triangule_c.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/triangule_c.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/triangule_c.pro	(revision 226)
@@ -7,10 +7,10 @@
 ; Construct the triangulation array.
 ;
-; The idea is: construct a list of triangle which link points between them. 
+; The idea is: construct a list of triangle which link points between them.
 ; This is automatically done by the function TRIANGULATE
 ;  Here:
-; we consider the fact that points are disposed on a grid (regular or not, 
-; but not unstructured, that is to say that points are written following a 
-; rectangular matrix). A easy way to do triangles between all points is then: 
+; we consider the fact that points are disposed on a grid (regular or not,
+; but not unstructured, that is to say that points are written following a
+; rectangular matrix). A easy way to do triangles between all points is then:
 ;
 ;     for each point (i,j) of the matrix -except those of the last line and of
@@ -22,15 +22,15 @@
 ; drawing to make sure!!), so there are two possible choice for each rectangle
 ; we want to cut in 2 triangles...
-; 
+;
 ; It is thanks to this choice that we will be able to trace coast with right
 ; angles. At each angle of coast remarkable by the existence of an unique land
 ; point or of an unique ocean point on one of the four summit of a rectangle (i,j),
 ; we have to cut the rectangle following the diagonal passing by this point.
-; 
+;
 ; @categories
 ; Graphics
 ;
 ; @param MASKENTREE {in}{optional}{type=2d array}
-; It is a 2d array which will serve to mask the field we will trace after with CONTOUR, 
+; It is a 2d array which will serve to mask the field we will trace after with CONTOUR,
 ; ...TRIANGULATION=triangule(mask)
 ; If this argument is not specified, the function use tmask
@@ -43,6 +43,6 @@
 ;
 ; @keyword COINMONTE {type=array}
-; To obtain the array of "ascending land corner" to be treated with 
-; completecointerre.pro in the variable array instead of make it pass by the global 
+; To obtain the array of "ascending land corner" to be treated with
+; completecointerre.pro in the variable array instead of make it pass by the global
 ; variable twin_corners_up.
 ;
@@ -52,5 +52,5 @@
 ; @returns
 ; res: tableau 2d (3,nbre de triangles).
-; Each line of res represent indexes of points constituting summits of a triangle. 
+; Each line of res represent indexes of points constituting summits of a triangle.
 ; See how we trace triangles in definetri.pro
 ;
@@ -61,6 +61,6 @@
 ;
 ; @restrictions
-; Datas whose we want to do the contour must be disposed in a matrix. 
-; On the other hand, in the matrix, the points's arrangement can not be 
+; Datas whose we want to do the contour must be disposed in a matrix.
+; On the other hand, in the matrix, the points's arrangement can not be
 ; irregular. If it is, use TRIANGULE.
 ;
@@ -73,5 +73,5 @@
 ;
 ; @todo
-; seb L.267->268 je ne pense pas que ce soit ce que tu voulais dire mais 
+; seb L.267->268 je ne pense pas que ce soit ce que tu voulais dire mais
 ; c'est la traduction de ce qu'il y avait écrit. Correction si besoin.
 ;-
@@ -101,13 +101,13 @@
 ;------------------------------------------------------------
 if keyword_set(key_periodic)*(nx EQ jpi) $
-  AND NOT keyword_set(basic) then BEGIN 
+  AND NOT keyword_set(basic) then BEGIN
     msk = [msk, msk[0, *]]
     nx = nx+1
 ENDIF
 ;------------------------------------------------------------
-; We will find the list of rectangles (i,j)(located by their left 
-; bottom corner) we have to cut folowing a descendant diagonal. 
+; We will find the list of rectangles (i,j)(located by their left
+; bottom corner) we have to cut following a descendant diagonal.
 ; We will call this list : pts_downward
-; 
+;
 pts_downward = 0
 
@@ -164,5 +164,5 @@
 ENDIF
 ;
-if n_elements(pts_downward) EQ 1 then BEGIN 
+if n_elements(pts_downward) EQ 1 then BEGIN
     tempdeux = systime(1)       ; For key_performance =2
 ;
@@ -173,13 +173,13 @@
     coinmont = -1
     coindesc = -1
-ENDIF ELSE BEGIN 
+ENDIF ELSE BEGIN
     tempdeux = systime(1)       ; For key_performance =2
     pts_downward = pts_downward[1:n_elements(pts_downward)-1]
     pts_downward = pts_downward[uniq(pts_downward, sort(pts_downward))]
-; None rectangle can have an element of the last column or of the 
+; None rectangle can have an element of the last column or of the
 ; last line as left bottom corner.
 ; so we have to remove these points if they has been selected in pts_downward.
-    derniere_colonne = (lindgen(ny)+1)*nx-1 
-    derniere_ligne = lindgen(nx)+(ny-1)*nx 
+    derniere_colonne = (lindgen(ny)+1)*nx-1
+    derniere_ligne = lindgen(nx)+(ny-1)*nx
     pts_downward =different(pts_downward,derniere_colonne )
     pts_downward =different(pts_downward,derniere_ligne )
@@ -193,8 +193,8 @@
             coindesc =different(coindesc,derniere_ligne )
         endif
-    ENDIF ELSE BEGIN 
+    ENDIF ELSE BEGIN
         coinmont = -1
         coindesc = -1
-    ENDELSE 
+    ENDELSE
     IF testvar(var = key_performance) EQ 2 THEN $
       print, 'temps triangule: menage ds pts_downward coinmont et coindesc', systime(1)-tempdeux
@@ -205,10 +205,10 @@
     IF testvar(var = key_performance) EQ 2 THEN $
       print, 'temps triangule: definetri', systime(1)-tempdeux
-ENDELSE 
+ENDELSE
 ;------------------------------------------------------------
 ; We delete land points which only contain land points.
 ;------------------------------------------------------------
 ;
-;  
+;
 if (NOT keyword_set(basic)) AND (NOT keyword_set(keep_cont)) then begin
     tempdeux = systime(1)       ; For key_performance =2
@@ -224,5 +224,5 @@
     trimask = intarr(nx, ny)
     trimask[0:nx-2, 0:ny-2] = 1
-    IF recdsterre[0] NE -1 then BEGIN 
+    IF recdsterre[0] NE -1 then BEGIN
         tempdeux = systime(1)   ; For key_performance =2
         indice[recdsterre] = 1
@@ -231,16 +231,16 @@
             vire2 = 0
             while (vire1[0] NE -1 OR vire2[0] NE -1) ne 0 do begin
-; Delete rectangles we have to remove from recsterre (in fact those we have 
-; to keep although they ar eentirely in the land).
+; Delete rectangles we have to remove from recsterre (in fact those we have
+; to keep although they are entirely in the land).
                 vire1 = where( (indice*shift(indice, -1, -1) $
                                 *(1-shift(indice, 0, -1))*(1-shift(indice, -1, 0))*trimask) EQ 1)
-                if vire1[0] NE -1 THEN BEGIN 
+                if vire1[0] NE -1 THEN BEGIN
                     indice[vire1] = 0
 ;               indice[vire1+nx+1] = 0
                 endif
-                
+
                 vire2 = where( ((1-indice)*(1-shift(indice, -1, -1)) $
                                 *shift(indice, 0, -1)*shift(indice, -1, 0)*trimask) EQ 1)
-                if vire2[0] NE -1 THEN BEGIN 
+                if vire2[0] NE -1 THEN BEGIN
                     indice[vire2+1] = 0
 ;               indice[vire2+nx] = 0
@@ -259,5 +259,5 @@
         trigarde = transpose(temporary(trigarde))
         trigarde = [trigarde, trigarde+1]
-; 
+;
         triang = triang[*, temporary(trigarde[*])]
         IF testvar(var = key_performance) EQ 2 THEN $
@@ -265,14 +265,14 @@
     endif
 endif
-; print, 'temps tri triangles', systime(1)-t1 
-;------------------------------------------------------------
-; When key_periodic equal 1, triang is a list of indexes's array which 
+; print, 'temps tri triangles', systime(1)-t1
+;------------------------------------------------------------
+; When key_periodic equal 1, triang is a list of indexes's array which
 ; have a surplus column.
-; We have to put it back to the initial matrix by putting indexes of 
+; We have to put it back to the initial matrix by putting indexes of
 ; the last column equal to these of the last column...
 ;------------------------------------------------------------
 tempdeux = systime(1)           ; For key_performance =2
 if keyword_set(key_periodic)*(nx-1 EQ jpi) $
-  AND NOT keyword_set(basic) then BEGIN 
+  AND NOT keyword_set(basic) then BEGIN
     indicey = triang/nx
     indicex = triang-indicey*nx
@@ -310,9 +310,9 @@
 IF NOT keyword_set(key_forgetold) THEN BEGIN
    @updateold
-ENDIF 
-
-IF keyword_set(key_performance) THEN print, 'temps triangule', systime(1)-tempsun 
+ENDIF
+
+IF keyword_set(key_performance) THEN print, 'temps triangule', systime(1)-tempsun
 
 return, triang
 
-END 
+END
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildcmd.pro	(revision 226)
@@ -5,5 +5,5 @@
 ;
 ; @file_comments
-; This function send back a string which contain the reading command 
+; This function send back a string which contain the reading command
 ; and drawing's parameters.
 ;
@@ -11,11 +11,11 @@
 ;
 ; @keyword BOXZOOM
-; Vector indicating the geographic zone on which we want to cut the map. 
-; If BOXZOOM has : 
+; Vector indicating the geographic zone on which we want to cut the map.
+; If BOXZOOM has :
 ;   1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
 ;   2 elements: The extraction is made on [lon1, lon2, lat1, lat2, boxzoom[0],boxzoom[1]]
 ;   4 elements: The extraction is made on [Boxzoom, 0, max([gdept, gdepw])]
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
-;   6 elements: The extraction is made on Boxzoom 
+;   6 elements: The extraction is made on Boxzoom
 ; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
@@ -54,5 +54,5 @@
   numdessinout = smallout[2]-1
 ;
-  options = extractatt(top_uvalue, 'options')   
+  options = extractatt(top_uvalue, 'options')
   optionsflag = extractatt(top_uvalue, 'optionsflag')
   portrait = (strtrim(optionsflag[where(options EQ 'Portrait/Landscape'), 0], 1))[0]
@@ -83,5 +83,5 @@
 ;  Search of options
 ;
-  options = extractatt(top_uvalue, 'options')   
+  options = extractatt(top_uvalue, 'options')
   optionsflag = extractatt(top_uvalue, 'optionsflag')
   flags = optionsflag[*, numdessinin]
@@ -133,5 +133,5 @@
   widcmd =  strtrim(widcmd, 2)
   IF widcmd[0] EQ '' THEN widcmd = 'zzz'
-  
+
   cutcmd, widcmd[0], toread, numberofread, prefix, nameexp, ending
 ;
@@ -158,5 +158,5 @@
 ; we complet the reading command
         oldrdcmd = extractatt(top_uvalue, 'currentreadcmd')
-        nl = n_elements(oldrdcmd) 
+        nl = n_elements(oldrdcmd)
         oldrdcmd[nl-1] = oldrdcmd[nl-1] + ' $'
         readcmd[i] = prefix + readcmd[i]
@@ -164,5 +164,5 @@
       ENDELSE
 ; exit if we have to read other fields...
-      if alreadyread+1 NE numberofread-1 THEN BEGIN 
+      if alreadyread+1 NE numberofread-1 THEN BEGIN
         *top_uvalue[1, findline(top_uvalue, 'currentreadcmd')] = readcmd
         *top_uvalue[1, findline(top_uvalue, 'alreadyread')] = alreadyread+1
@@ -171,6 +171,6 @@
       ENDIF
 ; we finalize the reading command
-      IF ending NE '' THEN BEGIN 
-        nl = n_elements(readcmd) 
+      IF ending NE '' THEN BEGIN
+        nl = n_elements(readcmd)
         readcmd[nl-1] = readcmd[nl-1] + ' $'
         readcmd = [temporary(readcmd), ending]
@@ -186,8 +186,8 @@
       tgnm = strlowcase(tag_names(exextra))
       indtmp = where(tgnm EQ 'box' OR tgnm EQ 'boxzoom', cnt)
-      IF cnt EQ 1 THEN BEGIN 
+      IF cnt EQ 1 THEN BEGIN
         boxextra = exextra.(indtmp[0])
         exextra = extractstru(exextra, ['box', 'boxzoom'])
-      ENDIF 
+      ENDIF
       extra =  mixstru(exextra, extra)
       sextra = struct2string(extra)
@@ -214,5 +214,5 @@
     'vector':BEGIN
 ; for the vectors, there is 2 components. we read u when alreadyvector
-; is a interger and v when alreadyvector is a interger+0.5
+; is a integer and v when alreadyvector is a integer+0.5
       if floor(alreadyvector)+1 EQ 0 then begin
         if floor(alreadyvector) EQ alreadyvector then begin
@@ -226,5 +226,5 @@
       ENDIF ELSE BEGIN
         oldrdcmd = extractatt(top_uvalue, 'currentreadcmd')
-        nl = n_elements(oldrdcmd) 
+        nl = n_elements(oldrdcmd)
         oldrdcmd[nl-1] = oldrdcmd[nl-1] + ' $'
         readcmd[i] = prefix + readcmd[i]
@@ -235,6 +235,6 @@
         numberofread-1:BEGIN
 ; we finalize the reading command
-          IF ending NE '' THEN BEGIN 
-            nl = n_elements(readcmd) 
+          IF ending NE '' THEN BEGIN
+            nl = n_elements(readcmd)
             readcmd[nl-1] = readcmd[nl-1] + ' $'
             readcmd = [temporary(readcmd), ending]
@@ -252,6 +252,6 @@
         numberofread-0.5:BEGIN
 ; we finalize the reading command
-          IF ending NE '' THEN BEGIN 
-            nl = n_elements(readcmd) 
+          IF ending NE '' THEN BEGIN
+            nl = n_elements(readcmd)
             readcmd[nl-1] = readcmd[nl-1] + ' $'
             readcmd = [temporary(readcmd), ending]
@@ -301,5 +301,5 @@
       ENDIF ELSE BEGIN
         oldrdcmd = extractatt(top_uvalue, 'currentreadcmd')
-        nl = n_elements(oldrdcmd) 
+        nl = n_elements(oldrdcmd)
         oldrdcmd[nl-1] = oldrdcmd[nl-1] + ' $'
         readcmd[i] = prefix + readcmd[i]
@@ -307,5 +307,5 @@
       ENDELSE
 ;
-      if alreadyover+1 NE numberofread-1 THEN BEGIN 
+      if alreadyover+1 NE numberofread-1 THEN BEGIN
 ; we still need to read some files...
         *top_uvalue[1, findline(top_uvalue, 'currentreadcmd')] = readcmd
@@ -315,6 +315,6 @@
       ENDIF
 ; we finalize the reading command
-      IF ending NE '' THEN BEGIN 
-        nl = n_elements(readcmd) 
+      IF ending NE '' THEN BEGIN
+        nl = n_elements(readcmd)
         readcmd[nl-1] = readcmd[nl-1] + ' $'
         readcmd = [temporary(readcmd), ending]
@@ -362,5 +362,5 @@
 ; For [plots in z, box must have by default 0,profmax
   if strpos(type, 'z') NE -1 then BEGIN
-; If more than 1 level is selected: 
+; If more than 1 level is selected:
     widget_control, widget_info(base, find_by_uname = 'dthlv1'), get_value = niv1
     niv1 = niv1.combobox_index
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.pro	(revision 226)
@@ -85,5 +85,5 @@
 ; t/3/0 End of the double click
       thisEvent EQ 'WIDGET_TIMER' AND uval.click EQ 3 AND press EQ 0:uval.click = 0
-; Imposible case in theory:
+; Impossible case in theory:
       ELSE:BEGIN
          print, thisEvent, uval.click, press
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 226)
@@ -5,8 +5,7 @@
 ; @categories
 ;
-; 
+;
 ; @param NAMEFILE
 ;
-; 
 ; @keyword GRID {default='T'}{type=scalar string}
 ; Used to specify on which grid type are located the data
@@ -14,26 +13,21 @@
 ; @keyword _EXTRA
 ; Used to pass your keywords to isafile and ncdf_getaxis
-; 
+;
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
-; @version 
+;
+; @version
 ; $Id$
 ;
 ; @todo
 ; seb : I don't know what to do with that...
-; 
+;
 ;-
 ;
@@ -49,5 +43,5 @@
 ;       dont les noms sont 'x','lon...','xi_...' et 'y','lat...' ou
 ;       'eta_...' ou bien en majuscule.
-;       4) il doit exiter ds ce fichier une unique variable n''ayant
+;       4) il doit exister ds ce fichier une unique variable n''ayant
 ;       qu''une dimension et etant la dimension temporelle. cette
 ;       variable sera prise comme axe des temps. Rq: si plusieurs
@@ -55,10 +49,10 @@
 ;       variable
 ;       5) Cette variable axe des temps doit contenir l''attribut
-;       'units'qui doit etre ecrit suivant la syntaxe:
-;               "seconds since 0001-01-01 00:00:00" 
-;               "hours since 0001-01-01 00:00:00" 
-;               "days since 1979-01-01 00:59:59" 
-;               "months since 1979-01-01 00:59:59" 
-;               "years since 1979-01-01 00:59:59" 
+;       'units' qui doit etre ecrit suivant la syntaxe:
+;               "seconds since 0001-01-01 00:00:00"
+;               "hours since 0001-01-01 00:00:00"
+;               "days since 1979-01-01 00:59:59"
+;               "months since 1979-01-01 00:59:59"
+;               "years since 1979-01-01 00:59:59"
 ;
 ; je crois que c''est tout!
@@ -93,5 +87,5 @@
   namedim = strarr(inside.ndims)
   for dimiq = 0, inside.ndims-1 do begin
-    ncdf_diminq, cdfid, dimiq, tmpname, value 
+    ncdf_diminq, cdfid, dimiq, tmpname, value
     namedim[dimiq] = strlowcase(tmpname)
   ENDFOR
@@ -110,5 +104,5 @@
        (inter(invar.dim, dimidy))[0] NE -1 AND $
        ((where(invar.dim EQ inside.recdim))[0] NE -1 OR inside.recdim EQ -1) $
-    THEN namevar[varid] = invar.name 
+    THEN namevar[varid] = invar.name
   ENDFOR
   namevar = namevar[where(namevar NE '')]
@@ -135,9 +129,9 @@
         tmpnm[0] EQ 'xi_u'   AND tmpnm[1] EQ 'eta_rho':listgrid[i] = 'U'
         tmpnm[0] EQ 'xi_u'   AND tmpnm[1] EQ 'eta_v'  :listgrid[i] = 'F'
-        ELSE: 
-      ENDCASE 
+        ELSE:
+      ENDCASE
     ENDFOR
     empty = where(listgrid EQ '')
-    IF empty[0] NE -1 THEN BEGIN   
+    IF empty[0] NE -1 THEN BEGIN
 ; could we define the grid type from the file name??
       pattern = ['GRID.', 'GRID_', 'GRID', 'UPID_', '30ID_']
@@ -153,5 +147,5 @@
       ENDFOR
       listgrid[empty] = vargrid
-    ENDIF 
+    ENDIF
   ENDIF ELSE listgrid[*] = vargrid
 ;------------------------------------------------------------
@@ -159,5 +153,5 @@
 ;------------------------------------------------------------
   date0fk = date2jul(19000101)
-  IF inside.recdim EQ -1 THEN BEGIN 
+  IF inside.recdim EQ -1 THEN BEGIN
     jpt = 1
     time = date0fk
@@ -170,6 +164,6 @@
     repeat BEGIN
       IF varid LT inside.nvars THEN BEGIN
-        invar = ncdf_varinq(cdfid, varid) 
-        varid = varid+1        
+        invar = ncdf_varinq(cdfid, varid)
+        varid = varid+1
       ENDIF ELSE varid = 0
     endrep until (n_elements(invar.dim) EQ 1 AND invar.dim[0] EQ inside.recdim) OR (varid EQ 0)
@@ -177,10 +171,10 @@
 ;
     CASE 1 OF
-      varid EQ -1:BEGIN 
+      varid EQ -1:BEGIN
         dummy = report('the file '+fullname+' has no time axis.!C we create a fake calendar ...')
         fakecal = 1
         time = date0fk + lindgen(1>jpt)
       END
-      invar.natts EQ 0:BEGIN 
+      invar.natts EQ 0:BEGIN
         dummy = report('the variable '+invar.name+' has no attribut.!C we create a fake calendar ...')
         fakecal = 1
@@ -197,5 +191,5 @@
           fakecal = 1
           time = date0fk + lindgen(1>jpt)
-        ENDIF ELSE BEGIN 
+        ENDIF ELSE BEGIN
 ; we read the time axis
           ncdf_varget, cdfid, varid, time
@@ -223,8 +217,8 @@
             err = 1
           ENDIF
-          IF err GT 0 THEN BEGIN 
+          IF err GT 0 THEN BEGIN
             fakecal = 1
             time = date0fk + lindgen(1>jpt)
-          ENDIF ELSE BEGIN 
+          ENDIF ELSE BEGIN
             debut = str_sep(mots[2], '-')
 ;
@@ -241,10 +235,10 @@
                 'greg':IF n_elements(key_caltype) EQ 0 THEN key_caltype = 'greg'
                 ELSE:BEGIN
-;            notused = report('Unknown calendar: '+value+', we use greg calendar.') 
+;            notused = report('Unknown calendar: '+value+', we use greg calendar.')
                   key_caltype = 'greg'
                 END
               ENDCASE
             ENDIF ELSE BEGIN
-;        notused = report('Unknown calendar, we use '+key_caltype+' calendar.') 
+;        notused = report('Unknown calendar, we use '+key_caltype+' calendar.')
               IF n_elements(key_caltype) EQ 0 THEN key_caltype = 'greg'
             ENDELSE
@@ -259,5 +253,5 @@
               'hour':time = julday(debut[1], debut[2], debut[0])+time/24.d
               'day':time = julday(debut[1], debut[2], debut[0])+time
-              'month':BEGIN 
+              'month':BEGIN
                 if total(fix(time) NE time) NE 0 then $ ; we switch to days with 30d/m
                    time = julday(debut[1], debut[2], debut[0])+round(time*30) $
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.pro	(revision 226)
@@ -5,31 +5,24 @@
 ; @categories
 ;
-; 
 ; @param EVENT
 ;
-; 
 ; @returns
-; 
-; 
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
+;
 ; @version
-; $Id$ 
-; 
+; $Id$
+;
 ; @todo
 ; seb
 ;
 ;-
-pro xcreateanim_event, event 
+pro xcreateanim_event, event
 ;
   compile_opt idl2, strictarrsubs
@@ -61,10 +54,10 @@
   widget_control, widget_info(event.top, find_by_uname = 'debut') $
                   , get_value = vdate1
-  index1 = where(calendar eq date2jul(vdate1)) & index1 = index1[0] 
+  index1 = where(calendar eq date2jul(vdate1)) & index1 = index1[0]
   if index1 EQ -1 then return
 ;
   widget_control, widget_info(event.handler, find_by_uname = 'fin') $
                   , get_value = vdate2
-  index2 = where(calendar eq date2jul(vdate2)) & index2 = index2[0] 
+  index2 = where(calendar eq date2jul(vdate2)) & index2 = index2[0]
   if index2 EQ -1 OR index2 LE index1 then return
 ; We delete the widget before create the file .ps
@@ -73,5 +66,5 @@
 ; creation of the routine which will serve us to do the drawing
 ;
-; We recuperate the list of instructions 
+; We recuperate the list of instructions
   globalcommand = extractatt(top_uvalue, 'globalcommand')
 ; We complete by first and last lines of the program
@@ -113,5 +106,5 @@
     green = green[index]
     blue = blue[index]
-  endif            
+  endif
 ;
   if depth gt 8 then $
@@ -133,5 +126,5 @@
       IF keyword_set(fakecal) THEN date = ind ELSE date = jul2date(calendar[ind])
       xxx2ps, /noerase, date1 = date, date2 = date
-;      
+;
       image = tvrd(true = depth GT 8)
 ;
@@ -142,5 +135,5 @@
       wdelete, !d.window
     ENDFOR
-  ENDIF 
+  ENDIF
 ; We put a last white picture
   window, /free, /pixmap, xsize = xsize, ysize = ysize
@@ -155,6 +148,6 @@
   wdelete, !d.window
 ; File's closing.
-  write_gif, animdir+nomfic, /close 
-  widget_control, base, /destroy 
+  write_gif, animdir+nomfic, /close
+  widget_control, base, /destroy
 ; Rerock in "normal" mode
   thisOS = strupcase(strmid(!version.os_family, 0, 3))
@@ -169,5 +162,5 @@
   endif
 ;
-  
+
   return
 end
@@ -179,26 +172,22 @@
 ; @categories
 ;
-; 
+;
 ; @param PARENT
 ;
-; 
+;
 ; @returns
-; 
-; 
+;
+;
 ; @uses
-; 
-; 
+;
 ; @restrictions
-; 
-; 
+;
 ; @examples
-; 
-; 
+;
 ; @history
-; 
-; 
+;
 ; @version
-; $Id$ 
-; 
+; $Id$
+;
 ; @todo
 ; seb
@@ -229,5 +218,5 @@
    if strtrim(filenames[0], 1) EQ '' then filenames = filenames[1:n_elements(filenames)-1]
    indexfile = (where(filelist EQ filenames[0]))[0]
-   calendar = (*(extractatt(top_uvalue, 'fileparameters'))[indexfile]).time_counter  
+   calendar = (*(extractatt(top_uvalue, 'fileparameters'))[indexfile]).time_counter
    key_caltype = (*(extractatt(top_uvalue, 'fileparameters'))[indexfile]).caltype
    fakecal = (*(extractatt(top_uvalue, 'fileparameters'))[indexfile]).fakecal
@@ -237,9 +226,9 @@
          calendarbis = (*(extractatt(top_uvalue, 'fileparameters'))[indexfilebis]).time_counter
          if n_elements(calendarbis) NE n_elements(calendar)  then begin
-            nothing = report('Les diffrents plots n''utilisent pas le meme calendrier. !C Animation impossible!', /error)
+            nothing = report('plots do not use the same calendar. !C Animation impossible!', /error)
             return
          ENDIF
          if total(calendar NE calendarbis) NE 0 then begin
-            nothing = report('Les diffrents plots n''utilisent pas le meme calendrier. !C Animation impossible!', /error)
+            nothing = report('plots do not use the same calendar. !C Animation impossible!', /error)
             return
          endif
@@ -249,5 +238,5 @@
 ; It is possible to do an animation.
 ;
-   base = widget_base(/column, title = 'animation creation', uvalue = {parent:parent, indexfile:indexfile})   
+   base = widget_base(/column, title = 'animation creation', uvalue = {parent:parent, indexfile:indexfile})
    rien = widget_label(base, value = 'animation name')
    rien = widget_text(base,value='anim_idl.gif', uname='Filename', /editable)
@@ -266,5 +255,5 @@
    widget_control,base,/realize
    xmanager,'xcreateanim', base, /no_block
-   
+
    return
 end
